﻿* Encoding: UTF-8.
*************************************************************************************
***Kinderversion für Kid KINDL
***kid_kindl_k.

*********Umpolung der Rohwerte.
*Negative gepolte Items.
RECODE a_kind1 (3=1) (2=2) (1=3) INTO a_xind1.
RECODE a_kind2 (3=1) (2=2) (1=3) INTO a_xind2.
RECODE a_kind4 (3=1) (2=2) (1=3) INTO a_xind4.


*Richtig gepolte Items.
RECODE a_kind3 (3=3) (2=2) (1=1) INTO a_xind3.
RECODE a_kind5 (3=3) (2=2) (1=1) INTO a_xind5.
RECODE a_kind6 (3=3) (2=2) (1=1) INTO a_xind6.
RECODE a_kind7 (3=3) (2=2) (1=1) INTO a_xind7.
RECODE a_kind8 (3=3) (2=2) (1=1) INTO a_xind8.
RECODE a_kind9 (3=3) (2=2) (1=1) INTO a_xind9.
RECODE a_kind10 (3=3) (2=2) (1=1) INTO a_xind10.
RECODE a_kind11 (3=3) (2=2) (1=1) INTO a_xind11.
RECODE a_kind12 (3=3) (2=2) (1=1) INTO a_xind12.
EXECUTE.

VARIABLE LABELS 
a_xind1 '... habe ich mich krank gefühlt'
a_xind2 '... hatte ich Kopfschmerzen oder Bauchschmerzen'
a_xind3 '… habe ich viel gelacht und Spaß gehabt'
a_xind4 '... war mir langweilig'
a_xind5 '... war ich stolz auf mich'
a_xind6 '... mochte ich mich selbst leiden'
a_xind7 '... habe ich mich gut mit meinen Eltern verstanden'
a_xind8 '... habe ich mich zu Hause wohl gefühlt'
a_xind9 '... habe ich mit Freunden gespielt'
a_xind10 '... habe ich mich mit meinen Freunden gut verstanden'
a_xind11 '... habe ich die Aufgaben in der Vorschule/ im Kindergarten gut geschafft'
a_xind12 '... hat mir die Vorschuel/ der Kindergarten Spaß gemacht'.


VALUE LABELS
a_xind1 a_xind2 a_xind4  
1 'ganz oft'
2 'manchmal'
3 'nie'.
EXECUTE.

VALUE LABELS
a_xind3 a_xind5 a_xind6 a_xind7 a_xind8 a_xind9 a_xind10 a_xind11 a_xind12 
1 'nie'
2 'manchmal'
3 'ganz oft'.
EXECUTE.

******* Total.
*Berechnung Summenscore.
COMPUTE total_mean = mean.9(a_xind1,a_xind2,a_xind3,a_xind4,a_xind5,a_xind6,a_xind7,a_xind8,a_xind9,a_xind10,a_xind11, a_xind12).

COMPUTE total_sum = total_mean*12.
EXECUTE.

*Berechnung auf 100 transformierte Skala.
COMPUTE total_100 = ((total_sum-12)/24)*100.
EXECUTE.

VARIABLE LABELS
total_mean 'KINDL - Total Quality of life Mittelwert'
total_sum 'KINDL - Total Quality of life Summe'
total_100 'KINDL - Total Quality of life 100'.
EXECUTE.


*ZUSATZSCALA KRANKHEITSMODUL. 

*********Umpolung der Rohwerte.
*Negative gepolte Items.

RECODE a_kind14 (3=1) (2=2) (1=3) INTO a_xind14.
RECODE a_kind15 (3=1) (2=2) (1=3) INTO a_xind15.
RECODE a_kind17 (3=1) (2=2) (1=3) INTO a_xind17.
RECODE a_kind18 (3=1) (2=2) (1=3) INTO a_xind18.
RECODE a_kind19 (3=1) (2=2) (1=3) INTO a_xind19.

*Richtig gepolte Items.

RECODE a_kind16 (3=3) (2=2) (1=1) INTO a_xind16.
EXECUTE.

VARIABLE LABELS 
a_xind14 '... hatte ich Angst, meine Erkrankung könnte schlimmer werden'
a_xind15 '... war ich wegen der Erkrankung traurig'
a_xind16 '... kam ich mit meiner Erkrankung gut zurecht'
a_xind17 '... behandelten mich meine Eltern wegen der Erkrankung wie ein Baby'
a_xind18 '... wollte ich, dass keiner etwas von meiner Erkrankung merkt'
a_xind19 '... habe ich wegen der Erkrankung in der Schule etwas verpasst'.

VALUE LABELS
a_xind14 a_xind15 a_xind17 a_xind18 a_xind19
1 'immer'
2 'oft'
3 'manchmal'
4 'selten'
5 'nie'.
EXECUTE.

VALUE LABELS
a_xind16
1 'nie'
2 'selten'
3 'manchmal'
4 'oft'
5 'immer'.
EXECUTE.

*****Skala "Zusatzskala chronisch-generisch".
*Berechnung Summenscore.
COMPUTE cg_mean = mean.5(a_xind14, a_xind15, a_xind16, a_xind17, a_xind18, a_xind19).

COMPUTE cg_sum = cg_mean*6.
EXECUTE.

*Berechnung auf 100 transformierte Skala.
COMPUTE cg_100 = ((cg_sum-6)/12)*100.
EXECUTE.

VARIABLE LABELS
cg_mean 'KINDL - chronisch-generisch Mittelwert'
cg_sum 'KINDL - chronisch-generisch Summe'
cg_100 'KINDL - chronisch-generisch 100'.
EXECUTE.


SORT CASES BY id.
EXECUTE.
